# Enabling Carrier and Communication Ratings

## Request Definition

These requests allow you to transmit your customer's satisfaction ratings for carriers and communication to the parcelLab system.

This is to support the use of our API to retrieve and display order status updates (for example: in your [chatbot](/docs/developers/v2/status-updates/chatbots.md) or a [mobile app](/docs/developers/v2/status-updates/apps.md)). In custom implementations of displaying order status updates, parcels with a Delivered status include a [`vote-courier` type Action Box object](/docs/developers/v2/status-updates/chatbots.md#type-vote-courier) in the API response.

Using the following APIs enables you to send carrier and communication ratings from your voting implementation to parcelLab. Sending a new vote will overwrite the previous vote. The collected data is displayed in the parcelLab App within the Communication Insights dashboard.

## Vote Courier

Details of how the `v2/vote-courier/:vote` endpoint can be used to send positive or negative ratings for a carrier are described below.

<details>

<summary><mark style="color:green;">POST</mark> Vote Courier</summary>

You can send carrier ratings to parcelLab using the ID of an individual parcel with the `vote-courier/:vote` endpoint.

**Note:** The unique ID for a parcel can be found in the response body of calls to the Order API within the [parcel object](/docs/developers/v2/status-updates/chatbots.md#parcel-object).

The details of the Vote Courier API are described in the following section.

**API Details**

<mark style="color:green;">`POST`</mark> `https://api.parcellab.com/v2/vote-courier/:vote`

**Path Parameters**

| Name | Type   | Description          |
| ---- | ------ | -------------------- |
| up   | String | Upvote for carrier   |
| down | String | Downvote for carrier |

**Query Parameters**

| Name                                 | Type   | Description                                                                     |
| ------------------------------------ | ------ | ------------------------------------------------------------------------------- |
| id<mark style="color:red;">\*</mark> | String | Unique identifier for an individual parcel (format: 24 characters, hexadecimal) |

**Responses**

* 200 - accepted

</details>

## Vote Communication

Details of how the `v2/vote-communication/:vote` endpoint can be used to send positive or negative ratings for post-purchase communications are described below.

<details>

<summary><mark style="color:green;">POST</mark> Vote Communication</summary>

You can send communication ratings to parcelLab using the ID of an individual parcel with the `vote-communication/:vote` endpoint.

**Note:** The unique ID for a parcel can be found in the response body of calls to the Order API within the [parcel object](/docs/developers/v2/status-updates/chatbots.md#parcel-object).

The details of the Vote Communication API are described in the following section.el can be found in the response body of calls to the Order API within the [parcel object](/docs/developers/v2/status-updates/chatbots.md#parcel-object).

**API Details**

<mark style="color:green;">`POST`</mark> `https://api.parcellab.com/v2/vote-communication/:vote`

**Path Parameters**

| Name | Type   | Description                |
| ---- | ------ | -------------------------- |
| up   | String | Upvote for communication   |
| down | String | Downvote for communication |

**Query Parameters**

| Name                                 | Type   | Description                                                                     |
| ------------------------------------ | ------ | ------------------------------------------------------------------------------- |
| id<mark style="color:red;">\*</mark> | String | Unique identifier for an individual parcel (format: 24 characters, hexadecimal) |

**Responses**

* 200 - accepted

**Note:** A HTML response is rendered for the case where the URL is embedded in an email. In other cases, you only need to check for status code 200 that indicates a successful request.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/status-updates/chatbots/enabling-carrier-and-communication-ratings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
